package com.fxy.hk.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class InboundBean implements Parcelable {
    public String pallet_code = "";
    public String ctn_code = "";

    public String getPalletCode() {
        return pallet_code;
    }

    public InboundBean setPalletCode(String pallet_code) {
        this.pallet_code = pallet_code;
        return this;
    }

    public String getCtnCode() {
        return ctn_code;
    }

    public InboundBean setCtnCode(String ctn_code) {
        this.ctn_code = ctn_code;
        return this;
    }

    @Override
    public String toString() {
        return "InboundBean{" +
                "pallet_code='" + pallet_code + '\'' +
                ", ctn_code='" + ctn_code + '\'' +
                '}';
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.pallet_code);
        dest.writeString(this.ctn_code);
    }

    public void readFromParcel(Parcel source) {
        this.pallet_code = source.readString();
        this.ctn_code = source.readString();
    }

    public InboundBean() {
    }

    protected InboundBean(Parcel in) {
        this.pallet_code = in.readString();
        this.ctn_code = in.readString();
    }

    public static final Creator<InboundBean> CREATOR = new Creator<InboundBean>() {
        @Override
        public InboundBean createFromParcel(Parcel source) {
            return new InboundBean(source);
        }

        @Override
        public InboundBean[] newArray(int size) {
            return new InboundBean[size];
        }
    };
}
